Package org.eclipse.cdt.core.dom.ast

# Interface IProblemBinding

All Superinterfaces:
  `Cloneable`, `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `IScope`, `ISemanticProblem`, `IType`

public interface IProblemBinding extends IBinding, IScope, IType, ISemanticProblem
Interface for problem bindings.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LAST_PROBLEM`
Deprecated.
There may be additional problems.
`static final int`
`SEMANTIC_AMBIGUOUS_LOOKUP`
`static final int`
`SEMANTIC_BAD_SCOPE`
`static final int`
`SEMANTIC_CIRCULAR_INHERITANCE`
`static final int`
`SEMANTIC_DEFINITION_NOT_FOUND`
`static final int`
`SEMANTIC_INVALID_OVERLOAD`
`static final int`
`SEMANTIC_INVALID_REDECLARATION`
`static final int`
`SEMANTIC_INVALID_REDEFINITION`
`static final int`
`SEMANTIC_INVALID_STRUCTURED_BINDING_INITIALIZER`
`static final int`
`SEMANTIC_INVALID_TEMPLATE_ARGUMENTS`
`static final int`
`SEMANTIC_INVALID_TEMPLATE_INSTANTIATION`
`static final int`
`SEMANTIC_INVALID_TYPE`
`static final int`
`SEMANTIC_INVALID_USING`
`static final int`
`SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND`
`static final int`
`SEMANTIC_LABEL_STATEMENT_NOT_FOUND`
`static final int`
`SEMANTIC_MEMBER_DECLARATION_NOT_FOUND`
`static final int`
`SEMANTIC_NAME_NOT_FOUND`
`static final int`
`SEMANTIC_RECURSION_IN_LOOKUP`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`BINDING_AMBIGUOUS_LOOKUP, BINDING_BAD_SCOPE, BINDING_CIRCULAR_INHERITANCE, BINDING_DEFINITION_NOT_FOUND, BINDING_INVALID_OVERLOAD, BINDING_INVALID_REDECLARATION, BINDING_INVALID_REDEFINITION, BINDING_INVALID_STRUCTURED_BINDING_INITIALIZER, BINDING_INVALID_TEMPLATE_ARGUMENTS, BINDING_INVALID_TEMPLATE_INSTANTIATION, BINDING_INVALID_TYPE, BINDING_INVALID_USING, BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND, BINDING_LABEL_STATEMENT_NOT_FOUND, BINDING_MEMBER_DECLARATION_NOT_FOUND, BINDING_NO_CLASS, BINDING_NOT_FOUND, BINDING_RECURSION_IN_LOOKUP, TYPE_ASSIGNMENT_TO_NON_MODIFIABLE_LVALUE, TYPE_ASSIGNMENT_TO_RVALUE, TYPE_AUTO_FOR_NON_STATIC_FIELD, TYPE_AUTO_FOR_VIRTUAL_METHOD, TYPE_CANNOT_DEDUCE_AUTO_TYPE, TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE, TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE, TYPE_ENUMERATION_EXPECTED, TYPE_NO_CONVERSION_FOR_EXPRESSION, TYPE_NO_NAME, TYPE_NOT_PERSISTED, TYPE_STATIC_ASSERT_FAILED, TYPE_UNKNOWN_FOR_EXPRESSION, TYPE_UNRESOLVED_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`IASTNode`
`getASTNode()`
Returns the AST node that this problem was created for
`IBinding[]`
`getCandidateBindings()`
Returns bindings that were considered when resolving the node corresponding to this problem binding, but rejected for some reason.
`String`
`getFileName()`
Returns the file name this problem occurred in, or `null` if it is unknown.
`int`
`getLineNumber()`
Returns the line number for this problem, or -1 if it is unknown.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`getID, getMessage`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Field Details

### SEMANTIC_NAME_NOT_FOUND

static final int SEMANTIC_NAME_NOT_FOUND

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_OVERLOAD

static final int SEMANTIC_INVALID_OVERLOAD

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_USING

static final int SEMANTIC_INVALID_USING

See Also:
  - Constant Field Values

### SEMANTIC_AMBIGUOUS_LOOKUP

static final int SEMANTIC_AMBIGUOUS_LOOKUP

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_TYPE

static final int SEMANTIC_INVALID_TYPE

See Also:
  - Constant Field Values

### SEMANTIC_CIRCULAR_INHERITANCE

static final int SEMANTIC_CIRCULAR_INHERITANCE

See Also:
  - Constant Field Values

### SEMANTIC_DEFINITION_NOT_FOUND

static final int SEMANTIC_DEFINITION_NOT_FOUND

See Also:
  - Constant Field Values

### SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND

static final int SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND

See Also:
  - Constant Field Values

### SEMANTIC_LABEL_STATEMENT_NOT_FOUND

static final int SEMANTIC_LABEL_STATEMENT_NOT_FOUND

See Also:
  - Constant Field Values

### SEMANTIC_BAD_SCOPE

static final int SEMANTIC_BAD_SCOPE

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_REDEFINITION

static final int SEMANTIC_INVALID_REDEFINITION

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_REDECLARATION

static final int SEMANTIC_INVALID_REDECLARATION

See Also:
  - Constant Field Values

### SEMANTIC_MEMBER_DECLARATION_NOT_FOUND

static final int SEMANTIC_MEMBER_DECLARATION_NOT_FOUND

See Also:
  - Constant Field Values

### SEMANTIC_RECURSION_IN_LOOKUP

static final int SEMANTIC_RECURSION_IN_LOOKUP

See Also:
  - Constant Field Values

### SEMANTIC_INVALID_TEMPLATE_ARGUMENTS

static final int SEMANTIC_INVALID_TEMPLATE_ARGUMENTS

Since:
  5.1
See Also:
  - Constant Field Values

### SEMANTIC_INVALID_STRUCTURED_BINDING_INITIALIZER

static final int SEMANTIC_INVALID_STRUCTURED_BINDING_INITIALIZER

Since:
  8.1
See Also:
  - Constant Field Values

### SEMANTIC_INVALID_TEMPLATE_INSTANTIATION

static final int SEMANTIC_INVALID_TEMPLATE_INSTANTIATION

Since:
  8.4
See Also:
  - Constant Field Values

### LAST_PROBLEM

@Deprecated static final int LAST_PROBLEM
Deprecated.
There may be additional problems.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getASTNode

IASTNode getASTNode()
Returns the AST node that this problem was created for

### getFileName

String getFileName()
Returns the file name this problem occurred in, or `null` if it is unknown.

### getLineNumber

int getLineNumber()
Returns the line number for this problem, or -1 if it is unknown.

### getCandidateBindings

IBinding[] getCandidateBindings()
Returns bindings that were considered when resolving the node corresponding to this problem binding, but rejected for some reason.

Returns:
  an array of candidate bindings.
Since:
  5.1